<!DOCTYPE html>
<html class="no-js"  dir="ltr" <?php language_attributes(); ?>>

<head>
        <meta charset="<?php bloginfo( 'charset' ); ?>" />
        <?php $wr_options = get_option('bionick_wp'); ?>		
        <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=no">             

	<?php wp_head();?>
</head>

<body <?php body_class(); ?>>

        <!--================= loader start ================-->			
        <div class="loader-holder">
            <div class="loader-inner loader-vis">
                <div class="loader"></div>
            </div>
        </div>		
        <!-- loader end -->

        <!--================= main start ================-->
        <div id="main">
            <!--=============== header ===============-->	
            <header>

                <div class="logo-holder">
				
					<a href="<?php echo esc_url(home_url('/')); ?>">
					
					<?php if ($wr_options['textlogo']=="st2") {?>	
					<img src="<?php echo esc_url(AfterSetupTheme::return_thme_option('logopic','url'));?>" class="respimg" alt="<?php  bloginfo('name'); ?>">
					
					<?php } else { ?>
						<h2 class="header-logo">
						<?php if(!empty($wr_options['logotext'])):?>
							<?php echo esc_html(($wr_options['logotext']));?>
						<?php else:?>
							<?php  bloginfo('name'); ?>
						<?php endif;?>	
						</h2>
					<?php } ;?>	
					</a>
				
				</div>
				<?php  if(has_nav_menu('main-menu')||has_nav_menu('top-menu')) {?>
                <div class="nav-button">
                    <span  class="nos"></span>
                    <span class="ncs"></span>
                    <span class="nbs"></span>
                </div>
				<?php };?>
            </header>
            <!-- header  end -->
            <!--=============== wrapper ===============-->	
            <div id="wrapper">
                <!--=============== content-holder ===============-->	
                <div class="content-holder scale-bg2">
                    <!--=============== navigation ===============-->
                    <div class="nav-inner isDown">
                        <div class="nav-decor nav-decor-tl"></div>
                        <div class="nav-decor nav-decor-br"></div>
                        <div class="overlay"></div>
                        <nav>
                            <?php get_template_part('template-parts/menu-section'); ?>
                        </nav>
                    </div>
                    <!-- navigation  end -->