<?php

	function bionick_wp_style() {
            wp_enqueue_style('style', (BIONICK_THEME_URL . '/style.css'));
		    wp_enqueue_style('reset', (BIONICK_THEME_URL . '/includes/css/reset.css'));
			wp_enqueue_style('plugins', (BIONICK_THEME_URL . '/includes/css/plugins.css'));
			wp_enqueue_style('main-style', (BIONICK_THEME_URL . '/includes/css/style.css'));			
			wp_enqueue_style('color', (BIONICK_THEME_URL . '/includes/css/color.css'));									
}
	add_action('wp_enqueue_scripts', 'bionick_wp_style');

function bionick_fonts_url() {
    $bionick_font_url = '';
    
    if ( 'off' !== _x( 'on', 'Montserrat font: on or off', 'bionickwp' ) ) {
        $bionick_font_url = add_query_arg( 'family','Lato:400,700,900|Raleway:400,800,900,600,700,500|Montserrat:400,700' , "//fonts.googleapis.com/css" );
    }
    return $bionick_font_url;
}
function bionick_scripts() {
    wp_enqueue_style( 'bionick_fonts', bionick_fonts_url(), array(), '1.0.0' );
}
add_action( 'wp_enqueue_scripts', 'bionick_scripts' );	
	
function bionick_enqueue_custom_admin_style() {
wp_register_style( 'custom_wp_admin_css', (BIONICK_THEME_URL . '/includes/css/admin-style.css'), false, '1.0.0' );
wp_enqueue_style( 'custom_wp_admin_css' );
}
add_action( 'admin_enqueue_scripts', 'bionick_enqueue_custom_admin_style' );			
	
